import { RegistryComponentMetadata } from '../common/AppRegistry';
export declare type QmlElementMeasureCallback = (x: number, y: number, width: number, height: number, pageX: number, pageY: number) => void;
export interface QmlElementContainer {
    element: Qml.QmlElement;
    metadata: RegistryComponentMetadata;
    measure?: (callback: QmlElementMeasureCallback) => void;
    setNativeProps?: (arg: any) => void;
}
declare class QmlElementContainerImpl implements QmlElementContainer {
    element: Qml.QmlElement;
    metadata: RegistryComponentMetadata;
    constructor(element: Qml.QmlElement, metadata: RegistryComponentMetadata);
    setNativeProps(props: any): void;
    measure(callback: QmlElementMeasureCallback): void;
}
export default QmlElementContainerImpl;
