import createQmlComponent from './createQmlComponent';
import createRawQmlComponent from './createRawQmlComponent';
import { ReactElement } from 'react';
export declare const Qt: Qml.QmlQt;
export declare type RenderCallback = () => void | null | undefined;
declare const render: (element: ReactElement<any>, renderDom?: Qml.QmlObject | undefined, callback?: RenderCallback | undefined) => number;
export { render, createQmlComponent, createRawQmlComponent };
declare const _default: {
    render: (element: ReactElement<any>, renderDom?: Qml.QmlObject | undefined, callback?: RenderCallback | undefined) => number;
    createQmlComponent: (source: string, name: string, metadata?: {
        defaultProp: string;
    }) => import("react").ForwardRefExoticComponent<{
        forwardedRef: import("react").RefObject<any>;
    } & import("react").RefAttributes<{}>>;
    createRawQmlComponent: (rawContent: string, name: string, metadata?: {
        defaultProp: string;
    }) => string;
};
export default _default;
