import QmlElementContainerImpl, { QmlElementContainer } from './QmlElementContainer';
export declare const Qt: Qml.QmlQt;
declare type BasicProps = {
    [key: string]: any;
};
export declare function diffProps(qmlElement: Qml.QmlElement, lastProps: BasicProps, nextProps: BasicProps): Array<any> | null;
export declare function updateProps(qmlElement: Qml.QmlElement, updatePayload: Array<any>): void;
export declare const hostElement: Qml.QmlElement;
export declare function createElementContainer(type: string, props: BasicProps, rootContainerInstance: Qml.QmlElement, hostContext: QmlElementContainer): QmlElementContainerImpl;
export declare function appendChild(parentContainer: QmlElementContainer, childContainer: QmlElementContainer): void;
export declare function appendChildToContainer(container: Qml.QmlElement, childContainer: QmlElementContainer): void;
export declare function removeChild(parentContainer: QmlElementContainer, childContainer: QmlElementContainer): void;
export declare function removeChildFromContainer(container: Qml.QmlElement, childContainer: QmlElementContainer): void;
export declare function removeAllChildren(parent: Qml.QmlElement, defaultProp?: string): void;
export declare function insertBefore(parentContainer: QmlElementContainer, childContainer: QmlElementContainer, beforeChildContainer: QmlElementContainer): void;
export declare function insertInContainerBefore(container: Qml.QmlElement, childContainer: QmlElementContainer, beforeChildContainer: QmlElementContainer): void;
export {};
