"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _StyleSheet = _interopRequireDefault(require("../common/StyleSheet"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function isNumber(x) {
  return typeof x === 'number';
}

var QmlElementContainerImpl =
/*#__PURE__*/
function () {
  function QmlElementContainerImpl(element, metadata) {
    _classCallCheck(this, QmlElementContainerImpl);

    _defineProperty(this, "element", void 0);

    _defineProperty(this, "metadata", void 0);

    this.element = element;
    this.metadata = metadata;
  }

  _createClass(QmlElementContainerImpl, [{
    key: "setNativeProps",
    value: function setNativeProps(props) {
      var element = this.element;

      if (!element) {
        return;
      }

      for (var propKey in props) {
        var propValue = props[propKey];

        if (propKey === 'style') {
          _StyleSheet.default.setStyle(element, propValue);

          continue;
        }

        if (element.hasOwnProperty(propKey)) {
          element[propKey] = propValue;
        }
      }
    }
  }, {
    key: "measure",
    value: function measure(callback) {
      var element = this.element;

      if (!element) {
        return;
      }

      callback(isNumber(element.x) ? element.x : 0, isNumber(element.y) ? element.y : 0, isNumber(element.width) ? element.width : 0, isNumber(element.height) ? element.height : 0, isNumber(element.x) ? element.x : 0, isNumber(element.y) ? element.y : 0);
    }
  }]);

  return QmlElementContainerImpl;
}();

var _default = QmlElementContainerImpl;
exports.default = _default;