/// <reference types="node" />
import { HostConfig } from 'react-reconciler';
import { QmlElementContainer } from './QmlElementContainer';
declare type Type = string;
declare type HostContext = QmlElementContainer;
declare type Instance = QmlElementContainer;
declare type TextInstance = Instance;
declare type Container = Qml.QmlElement;
declare type HydratableInstance = Instance;
declare type PublicInstance = Qml.QmlElement;
declare type Props = Qml.QmlProps;
interface UpdatePayload {
}
interface ChildSet {
}
declare type TimeoutHandle = NodeJS.Timeout;
declare type NoTimeout = number;
declare type QmlHostConfig = HostConfig<Type, Props, Container, Instance, TextInstance, HydratableInstance, PublicInstance, HostContext, UpdatePayload, ChildSet, TimeoutHandle, NoTimeout>;
declare const hostConfig: QmlHostConfig;
export default hostConfig;
